Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.table
Class LayoutCell

    java.lang.Object
      org.eclipse.birt.report.model.api.elements.table.LayoutCell

    public class LayoutCell

extends java.lang.Object

The minimal item in the table.

Field Summary
`static int` | `CELL_EMPTY` CELL is empty
`static int` | `CELL_USED` CELL is used, it contains a CELL
`static int` | `DROP_SPANNED` CELL is used because of "drop" properties of a cell element.
`protected static LayoutCell` | `EMPTY_CELL` The empty cell.

Method Summary
`CellHandle` | `getCell()` Return the corresponding handle of the cell element.
`protected int` | `getCellId()` Returns the unique index of the cell element.
`protected CellHandle` | `getCellRegardlessStartPosition()` Return the corresponding handle of the cell element regardless of the position where the cell starts.
`protected int` | `getColumnPosn()` Returns the column position of the current layout cell.
`int` | `getColumnSpanOffset()` Returns the 0-based offset of the column span.
`protected org.eclipse.birt.report.model.elements.Cell` | `getContent()` Returns the corresponding cell element.
`protected LayoutRow` | `getLayoutContainer()` Returns the layout row that this layout cell resides.
`java.lang.String` | `getLayoutString()` Returns the string that shows the layout.
`int` | `getRowSpanForDrop()` Returns the row number for the drop span.
`int` | `getRowSpanOffset()` Returns the 0-based offset of the row span.
`protected boolean` | `isCellStartPosition()` Checks whether the current position is where the cell element begins to span.
`protected boolean` | `isDropSet()` Checks whether "drop" value is "all" or "detail".
`boolean` | `isDropSpanned()` Tests whether the atomic cell is occupied because of "drop" properties of cells.
`boolean` | `isEffectualDrop()` Checks whether the drop is effectual.
`protected boolean` | `isEmptyContent()` Checks whether there is any element in the cell element.
`boolean` | `isUsed()` Tests whether the atomic cell is occupied by any cell.
`protected void` | `setEffectualDrop(boolean isEffectualDrop)` Sets whether the drop is effectual.
`protected void` | `setRowSpanForDrop(int rowSpanForDrop)` Sets the row number for the drop span.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_CELL

    protected static final LayoutCell EMPTY_CELL

  The empty cell.

### CELL_EMPTY

    public static final int CELL_EMPTY

  CELL is empty

  See Also:
    Constant Field Values

### CELL_USED

    public static final int CELL_USED

  CELL is used, it contains a CELL

  See Also:
    Constant Field Values

### DROP_SPANNED

    public static final int DROP_SPANNED

  CELL is used because of "drop" properties of a cell element.

  See Also:
    Constant Field Values

Method Detail

### isUsed

    public boolean isUsed()

  Tests whether the atomic cell is occupied by any cell.

  Returns:
    `true` if the atomic cell is occupied by any cell. Otherwise `false`.

### isDropSpanned

    public boolean isDropSpanned()

  Tests whether the atomic cell is occupied because of "drop" properties of cells.

  Returns:
    `true` if the atomic cell is occupied. Otherwise `false`.

### getContent

    protected org.eclipse.birt.report.model.elements.Cell getContent()

  Returns the corresponding cell element.

  Returns:
    the corresponding cell element

### getColumnSpanOffset

    public int getColumnSpanOffset()

  Returns the 0-based offset of the column span.

  Returns:
    the 0-based offset of the column span

### getRowSpanOffset

    public int getRowSpanOffset()

  Returns the 0-based offset of the row span.

  Returns:
    the 0-based offset of the row span

### getLayoutString

    public java.lang.String getLayoutString()

  Returns the string that shows the layout. Mainly for the debug.

  Returns:
    the string that shows the layout

### isEffectualDrop

    public boolean isEffectualDrop()

  Checks whether the drop is effectual.

  Returns:
    `true` if the drop is effectual. Otherwise `false`.

### isCellStartPosition

    protected boolean isCellStartPosition()

  Checks whether the current position is where the cell element begins to span.

  Returns:
    `true` if it is. Otherwise `false`.

### getCell

    public CellHandle getCell()

  Return the corresponding handle of the cell element.

  Returns:
    the corresponding handle of the cell element.

### getCellRegardlessStartPosition

    protected CellHandle getCellRegardlessStartPosition()

  Return the corresponding handle of the cell element regardless of the position where the cell starts.

  Returns:
    the corresponding handle of the cell element.

### getCellId

    protected int getCellId()

  Returns the unique index of the cell element.

  Returns:
    the unique index

### isEmptyContent

    protected boolean isEmptyContent()

  Checks whether there is any element in the cell element.

  Returns:
    `true` if there is one or more element in the cell. Otherwise `false`.

### isDropSet

    protected boolean isDropSet()

  Checks whether "drop" value is "all" or "detail".

  Returns:
    `true` if "drop" value is "all" or "detail". Otherwise `false`.

### getRowSpanForDrop

    public int getRowSpanForDrop()

  Returns the row number for the drop span.

  Returns:
    the row number

### setRowSpanForDrop

    protected void setRowSpanForDrop(int rowSpanForDrop)

  Sets the row number for the drop span.

  Parameters:
    `rowSpanForDrop` - the row number

### setEffectualDrop

    protected void setEffectualDrop(boolean isEffectualDrop)

  Sets whether the drop is effectual.

  Parameters:
    `isEffectualDrop` - `true` if the drop is effectual. Otherwise `false`.

### getColumnPosn

    protected int getColumnPosn()

  Returns the column position of the current layout cell.

  Returns:
    1-based column position

### getLayoutContainer

    protected LayoutRow getLayoutContainer()

  Returns the layout row that this layout cell resides.

  Returns:
    the layout row

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.